#!/bin/csh

#
# This tcl script below should be run after fid.com and ft2.com.
#
# It uses the peak positions in the peak table (test.tab) to extract the
# normalized peak intensities in the reference and attenuated spectra.
#
# The output is nlin.tab, which is generated using seriesTab (in autoFit.com
# to be generated by autoFit.tcl). The nlin.tab table contains an additional
# column Z_A1 containing the intensity ratio of the second (attenuated) and
# the first (reference) spectra.
#
# Note that without the -nofit argument, autoFit would also attempt to
# perform a full spectrum fit, which would extract linewidths and heights
# for each peak.  This is not optimal here, because in unfavorable 
# situations the height that is fit may not accurately represent the
# height of the spectrum, especially when overlap occurs.
#

autoFit.tcl -series -dX 0.0 -dY 0.0 -inTab test.tab \
            -specName ft/test%03d.ft2 -nofit

